# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test63
# FileName:      __init__.py
# Author:       lao_zhao
# Datetime:     2024/11/4 14:00
# Description:
# __init__.py 包运行时最先运行
# ---------------------------------------------------------------------------
import logging
import os
import time


def api_log():
    # 将日志写入到文件中
    # 1: 创建Logger对象
    logger = logging.getLogger(name="张三")
    # 2：设置日志写入到文件中的级别
    logger.level = logging.INFO
    # 3：创建一个日志文件handler对象
    # 动态获取日志文件的路径
    report_path = os.path.join(os.path.dirname(__file__), "re_port_l")
    log_path = os.path.join(report_path, "log")
    # 日志文件的名称：xxxx-xx-xx-xx-xx-xx.log
    log_name = time.strftime("%Y-%m-%d-%H-%M-%S", time.localtime()) + ".log"
    log_file_path = os.path.join(log_path, log_name)

    handler = logging.FileHandler(filename=log_file_path, mode="a", encoding="utf-8")
    # 4: 设置日志在文件中显示的格式
    formatter = logging.Formatter(
        '%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s ------ %(name)s')
    # 给日志文件的handler对象添加日志的格式
    handler.setFormatter(formatter)
    # 给Logger对象添加日志文件的handler对象
    logger.addHandler(handler)
    return logger


log = api_log()