import pytest


from api_1105 import log
from api_1105.common_.l_excel import ReadExcel
from api_1105.test_.test_gy import USERNAME


class TestBPM:

    @pytest.mark.parametrize("method, url, mime, case, expect, sql, sqlType, updateKey", ReadExcel(USERNAME).get_data())
    def test_bpm(self, req_fix, method, url, mime, case, expect, sql, sqlType, updateKey):
        print(method, url, mime, case, expect, sql, sqlType, updateKey)

        res = req_fix.request_all(req_method=method, req_url=url, req_mime=mime, req_case=case, sql_type=sqlType, sql_data=sql, update_key=updateKey)
        # 断言
        try:
            for key in expect.keys():
                assert res.json().get(key) == expect[key]
        except AssertionError:
            log.error(f"断言失败，用例数据为：{case}，期望数据为：{expect}， 服务器返回的数据为：{res.text}")
            raise AssertionError("断言失败")
        else:
            log.info(f"断言成功，用例数据为：{case}，期望数据为：{expect}， 服务器返回的数据为：{res.text}")